## org.eclipse.wst.wsdl
Interface BindingOperation

All Superinterfaces:
  javax.wsdl.BindingOperation, ExtensibleElement, java.io.Serializable, WSDLElement

    public interface BindingOperation

extends ExtensibleElement, javax.wsdl.BindingOperation

A representation of the model object 'Binding Operation'.

Since:
  1.0 This class represents a WSDL operation element within a binding. An operation element within a binding specifies binding information for the operation with the same name within the binding's portType.

  The following features are supported:

  - `Name`
  - `EOperation`
  - `EBinding Input`
  - `EBinding Output`
  - `EBinding Faults`
See Also:
  `WSDLPackage.getBindingOperation()`

Method Summary
`EList` `getEBindingFaults()` Returns the value of the 'EBinding Faults' containment reference list.
`BindingInput` `getEBindingInput()` Returns the value of the 'EBinding Input' containment reference
`BindingOutput` `getEBindingOutput()` Returns the value of the 'EBinding Output' containment reference
`Operation` `getEOperation()` Returns the value of the 'EOperation' reference
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setEBindingInput(BindingInput value)` Sets the value of the '`EBinding Input`' containment reference
`void` `setEBindingOutput(BindingOutput value)` Sets the value of the '`EBinding Output`' containment reference
`void` `setEOperation(Operation value)` Sets the value of the '`EOperation`' reference
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.BindingOperation
`addBindingFault, addExtensibilityElement, getBindingFault, getBindingFaults, getBindingInput, getBindingOutput, getDocumentationElement, getExtensibilityElements, getOperation, setBindingInput, setBindingOutput, setDocumentationElement, setOperation`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.BindingOperation`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getBindingOperation_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.BindingOperation`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEOperation

    Operation getEOperation()

  Returns the value of the 'EOperation' reference.

  If the meaning of the 'EOperation' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EOperation' reference.
  See Also:
    `setEOperation(Operation)`, `WSDLPackage.getBindingOperation_EOperation()`

### setEOperation

    void setEOperation(Operation value)

  Sets the value of the '`EOperation`' reference.

  Parameters:
    `value` - the new value of the 'EOperation' reference.
  See Also:
    `getEOperation()`

### getEBindingInput

    BindingInput getEBindingInput()

  Returns the value of the 'EBinding Input' containment reference.

  If the meaning of the 'EBinding Input' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EBinding Input' containment reference.
  See Also:
    `setEBindingInput(BindingInput)`, `WSDLPackage.getBindingOperation_EBindingInput()`

### setEBindingInput

    void setEBindingInput(BindingInput value)

  Sets the value of the '`EBinding Input`' containment reference.

  Parameters:
    `value` - the new value of the 'EBinding Input' containment reference.
  See Also:
    `getEBindingInput()`

### getEBindingOutput

    BindingOutput getEBindingOutput()

  Returns the value of the 'EBinding Output' containment reference.

  If the meaning of the 'EBinding Output' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EBinding Output' containment reference.
  See Also:
    `setEBindingOutput(BindingOutput)`, `WSDLPackage.getBindingOperation_EBindingOutput()`

### setEBindingOutput

    void setEBindingOutput(BindingOutput value)

  Sets the value of the '`EBinding Output`' containment reference.

  Parameters:
    `value` - the new value of the 'EBinding Output' containment reference.
  See Also:
    `getEBindingOutput()`

### getEBindingFaults

    EList getEBindingFaults()

  Returns the value of the 'EBinding Faults' containment reference list. The list contents are of type `BindingFault`.

  If the meaning of the 'EBinding Faults' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EBinding Faults' containment reference list.
  See Also:
    `WSDLPackage.getBindingOperation_EBindingFaults()`